/*!
Theme Name: Outgrid Child
Theme URI: https://uicore.co
Description: Multi-Purpose Elementor WordPress Theme
Author: UiCore
Author URI: https://uicore.co
Template: outgrid
Version: 1.0.0
Text Domain: outgrid
*/

 /* Add your custom style here */

/* Wrapper général */
.ts-wrapper.single .ts-control {
   
    color: #fff;
    border-radius: 12px;
    padding: 10px 15px;
    border: 2px solid var(--e-global-color-uicore_primary);
    min-width: 245px;
    width: 100%;
    background-color: #fff!important;
}

.ts-dropdown, .ts-dropdown.form-control, .ts-dropdown.form-select {
    border-radius: 12px;
    background-color: #fff!important;
}

.ts-wrapper.single .ts-control input, .ts-control .item {
    color :#000!important;
}

/* Structure de base */
.animtext {
    text-align: center; /* Centre tout le titre */
}

.animtext .word-container {
    display: inline-block;
    position: relative;
    vertical-align: top;
    min-width: fit-content; /* S'adapte automatiquement */
    width: 100%; /* Prend toute la largeur disponible */
    max-width: 600px; /* Limite maximale */
    text-align: center;
}

.animtext .word-container span {
    position: absolute;
    left: 50%; /* Centre horizontalement */
    transform: translateX(-50%); /* Ajuste le centrage */
    top: 0;
    opacity: 0;
    display: inline-block;
    white-space: nowrap;
    animation: fadeScaleCarousel 8s infinite; /* Plus rapide : 6s au lieu de 9s */
}

.animtext .word-container span:nth-child(1) { animation-delay: 0s; }
.animtext .word-container span:nth-child(2) { animation-delay: 2s; }
.animtext .word-container span:nth-child(3) { animation-delay: 4s; }
.animtext .word-container span:nth-child(4) { animation-delay: 6s; }

@keyframes fadeScaleCarousel {
0% { opacity: 0; transform: translateX(-50%) scale(0.8); }
    5% { opacity: 1; transform: translateX(-50%) scale(1); }
    10%, 23% { opacity: 1; transform: translateX(-50%) scale(1); } 
    25%, 100% { opacity: 0; transform: translateX(-50%) scale(0.8); }
}

.visit {
    position: fixed;
    bottom: -100px; /* Position cachée en bas */
    right: 20px;
    opacity: 0;
    transform: translateY(100px); /* Décalage vers le bas */
    transition: all 0.5s ease-out; /* Transition dans les 2 sens */
}

.visit.is-scrolled {
    bottom: 20px;
    right: 20px;
    opacity: 1;
    transform: translateY(0); /* Retour à la position normale */
}

@media (max-width: 767px) {
    .uicore-page-title.uicore-section>.uicore {
        padding-top: 0px!important;
    }
}

.uicore-socials {
    display: flex;
}

.uicore-top-bar .ui-tb-col-1 .uicore-socials .uicore-social-icon:first-child {
    padding-left: 10px !important;
}
.uicore-socials .social_lk     { order: 1; }
.uicore-socials .social_in     { order: 2; }
.uicore-socials .social_fb     { order: 3; }
.uicore-socials .social_yt     { order: 4; }
.uicore-socials .social_tiktok { order: 5; }